JGraph X 1.3.0.0

## com.mxgraph.io
Class mxStylesheetCodec

    java.lang.Object
      com.mxgraph.io.mxObjectCodec
          com.mxgraph.io.mxStylesheetCodec

    public class mxStylesheetCodec

extends mxObjectCodec

Codec for mxStylesheets. This class is created and registered dynamically at load time and used implicitely via mxCodec and the mxCodecRegistry.

Field Summary

Fields inherited from class com.mxgraph.io.mxObjectCodec
`exclude, idrefs, mapping, reverse, template`

Constructor Summary
`mxStylesheetCodec()` Constructs a new model codec.
`mxStylesheetCodec(java.lang.Object template)` Constructs a new stylesheet codec for the given template.
`mxStylesheetCodec(java.lang.Object template, java.lang.String[] exclude, java.lang.String[] idrefs, java.util.Map<java.lang.String,java.lang.String> mapping)` Constructs a new model codec for the given arguments.

Method Summary
`java.lang.Object` `decode(mxCodec dec, org.w3c.dom.Node node, java.lang.Object into)` Decodes the given mxStylesheet.
`org.w3c.dom.Node` `encode(mxCodec enc, java.lang.Object obj)` Encodes the given mxStylesheet.

Methods inherited from class com.mxgraph.io.mxObjectCodec

`afterDecode, afterEncode, beforeDecode, beforeEncode, cloneTemplate, convertValueFromXml, convertValueToXml, decode, decodeAttribute, decodeAttributes, decodeChild, decodeChildren, decodeNode, encodeElements, encodeFields, encodeObject, encodeValue, getAccessor, getAttributeName, getField, getFieldName, getFieldValue, getMethod, getTemplate, isExcluded, isPrimitiveValue, isReference, processInclude, setFieldValue, writeAttribute, writeComplexAttribute, writePrimitiveAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxStylesheetCodec

    public mxStylesheetCodec()

  Constructs a new model codec.

### mxStylesheetCodec

    public mxStylesheetCodec(java.lang.Object template)

  Constructs a new stylesheet codec for the given template.

### mxStylesheetCodec

    public mxStylesheetCodec(java.lang.Object template,
                             java.lang.String[] exclude,
                             java.lang.String[] idrefs,
                             java.util.Map<java.lang.String,java.lang.String> mapping)

  Constructs a new model codec for the given arguments.

Method Detail

### encode

    public org.w3c.dom.Node encode(mxCodec enc,
                                   java.lang.Object obj)

  Encodes the given mxStylesheet.

  Overrides:
    `encode` in class `mxObjectCodec`
  Parameters:
    `enc` - Codec that controls the encoding process.
    `obj` - Object to be encoded.
  Returns:
    Returns the resulting XML node that represents the given object.

### decode

    public java.lang.Object decode(mxCodec dec,
                                   org.w3c.dom.Node node,
                                   java.lang.Object into)

  Decodes the given mxStylesheet.

  Overrides:
    `decode` in class `mxObjectCodec`
  Parameters:
    `dec` - Codec that controls the encoding process.
    `node` - XML node to be decoded.
    `into` - Optional object to encode the node into.
  Returns:
    Returns the resulting object that represents the given XML node or the object given to the method as the into parameter.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.